commit:     1b14a8ec3aec4dd63d0770e5a9aea0b830e2fb38
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 16 16:19:15 2018 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Tue Oct 16 16:23:17 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1b14a8ec

dev-db/mysql: small changes

- Build system will always check for dev-libs/protobuf when USE=server

- Make sure to subscribe to protobuf's subslot when USE=rocksdb

- Don't install files in /usr/share/doc/${P}/scripts -- they are
  already installed in /usr/share/mysql

- Sync style with dev-db/percona-server ebuild

Package-Manager: Portage-2.3.51, Repoman-2.3.11
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 dev-db/mysql/Manifest                              |   2 +-
 dev-db/mysql/metadata.xml                          |   1 +
 ...sql-5.7.23-r1.ebuild => mysql-5.7.23-r2.ebuild} | 142 ++++++++++++---------
 3 files changed, 87 insertions(+), 58 deletions(-)

diff --git a/dev-db/mysql/Manifest b/dev-db/mysql/Manifest
index c5d769125da..7641b811b68 100644
--- a/dev-db/mysql/Manifest
+++ b/dev-db/mysql/Manifest
@@ -3,4 +3,4 @@ DIST mysql-5.6.40.tar.gz 32083035 BLAKE2B 
efcc078341bae239df28ac0504111aa3492688
 DIST mysql-5.6.41.tar.gz 32111985 BLAKE2B 
5ccad59333525b354db4fa892857e237cddf8fe1a4d289c6e410c31d6142a71d3ce4dab8d954fa9932ec1f83b50e8eccd5845e082deaaa56f1c0c5e21b2ce6c0
 SHA512 
a62d7a68c6bb49de33f8c9e634bce53cb453a87238e92967115e8e928fa9ed291727b8bd5a5271a0b5b634d957eb310c745edfb14b6be1deb9099bb757aa2cff
 DIST mysql-boost-5.7.23.tar.gz 49025014 BLAKE2B 
669f10779bc2cda866d6bd876b4efe55fb4b0c796f596f66513a3ca85f322e2a03e9879eecd72a69729a0cb71d408c46cdd9086ae456712b4adff6ae7c584c97
 SHA512 
e4317f89d108a68652cd95e41ffd670c37b6663aabd6af3985d18052fb7e8d8879b5822399caf9091cecc0a949ec588c121c87cfd60d69941f68d0ecbedd0953
 DIST mysql-extras-20180804-2323Z.tar.bz2 322215 BLAKE2B 
cca9e502e375bf43473335868517f6c450fc7bcf03e55de5a294c8bdcfcac2bb783dec09bbb3b6c30a561ba7e3a943543c017e2d42b61d466e699acdef4c0231
 SHA512 
efd9d416f394cc61b977ab76f05ab3acc5803ff8bdee8e1dbc65cc5b3f07e4f9742140d9586c028908b10fcc44f21c98ebffdebcc5c3578acbe05b07526bcb3d
-DIST mysql-extras-20181013-2117Z.tar.bz2 326504 BLAKE2B 
5df10abacafc6835536742b10fc268d76ed39818ed704fca21e3b0d5241152640557a37ad1c0a87173223763efd6f6cba87c2e203088227738cb6eb9f4224beb
 SHA512 
03d3ef9add033699dc6d8b6120d1fb323268a2e2b8ec9f375edfeb1c6b3878724db091bf4ae78462872efa81d1bb2e23f8ff4f6e0831d2ce8efd30465e415fa9
+DIST mysql-extras-20181016-1606Z.tar.bz2 327537 BLAKE2B 
885b21b9f576844edf7e850cb8c7484fdadb469297adcbcd885ed0d12bb4a24324f26c4546a1fa077502f7f306b436ed48667fbfccce11be8873ff723f435b85
 SHA512 
b6fb00c2971cf91f0765b08b4f0449179eb5701b0eb92a184103f1129f365fee2271d27150c30a3f2fb3c2e8b669f77e65a54956f2862c6d3fe6be49e4bc0f88

diff --git a/dev-db/mysql/metadata.xml b/dev-db/mysql/metadata.xml
index c20a8004a28..2ec6490392c 100644
--- a/dev-db/mysql/metadata.xml
+++ b/dev-db/mysql/metadata.xml
@@ -13,6 +13,7 @@ dev-db/mariadb
 <use>
   <flag name="cjk">Add CJK support for InnoDB fulltext search using 
<pkg>app-text/mecab</pkg></flag>
   <flag name="client-libs">Build the client libraries from the server package 
instead of the C Connector packages (not recommended)</flag>
+  <flag name="experimental">Build experimental features aka "rapid" 
plugins</flag>
   <flag name="extraengine">Add support for alternative storage engines 
(Archive, CSV, Blackhole, Federated(X), Partition)</flag>
   <flag name="jemalloc">Use <pkg>dev-libs/jemalloc</pkg> for 
allocations.</flag>
   <flag name="latin1">Use LATIN1 encoding instead of UTF8</flag>

diff --git a/dev-db/mysql/mysql-5.7.23-r1.ebuild 
b/dev-db/mysql/mysql-5.7.23-r2.ebuild
similarity index 91%
rename from dev-db/mysql/mysql-5.7.23-r1.ebuild
rename to dev-db/mysql/mysql-5.7.23-r2.ebuild
index d9f2fd4117b..ef6b22685df 100644
--- a/dev-db/mysql/mysql-5.7.23-r1.ebuild
+++ b/dev-db/mysql/mysql-5.7.23-r2.ebuild
@@ -2,21 +2,21 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="6"
-MY_EXTRAS_VER="20181013-2117Z"
+MY_EXTRAS_VER="20181016-1606Z"
 
 CMAKE_MAKEFILE_GENERATOR=emake
 
 # Keeping eutils in EAPI=6 for emktemp in pkg_config
 
-inherit eutils flag-o-matic prefix toolchain-funcs \
-       user cmake-utils multilib-minimal
+inherit cmake-utils eutils flag-o-matic linux-info \
+       prefix toolchain-funcs user multilib-minimal
 
 SRC_URI="https://cdn.mysql.com/Downloads/MySQL-5.7/${PN}-boost-${PV}.tar.gz
        https://cdn.mysql.com/archives/mysql-5.7/mysql-boost-${PV}.tar.gz
        http://downloads.mysql.com/archives/MySQL-5.7/${PN}-boost-${PV}.tar.gz";
 
 # Gentoo patches to MySQL
-if [[ "${MY_EXTRAS_VER}" != "live" && "${MY_EXTRAS_VER}" != "none" ]]; then
+if [[ "${MY_EXTRAS_VER}" != "live" && "${MY_EXTRAS_VER}" != "none" ]] ; then
        SRC_URI="${SRC_URI}
                mirror://gentoo/mysql-extras-${MY_EXTRAS_VER}.tar.bz2
                
https://gitweb.gentoo.org/proj/mysql-extras.git/snapshot/mysql-extras-${MY_EXTRAS_VER}.tar.bz2";
@@ -26,8 +26,8 @@ HOMEPAGE="https://www.mysql.com/";
 DESCRIPTION="A fast, multi-threaded, multi-user SQL database server"
 LICENSE="GPL-2"
 SLOT="0/18"
-IUSE="cjk client-libs cracklib debug jemalloc latin1 libressl numa +perl 
profiling selinux
-       +server static static-libs systemtap tcmalloc test yassl"
+IUSE="cjk client-libs cracklib debug experimental jemalloc latin1 libressl 
numa +perl profiling
+       selinux +server static static-libs systemtap tcmalloc test yassl"
 
 # Tests always fail when libressl is enabled due to hard-coded ciphers in the 
tests
 RESTRICT="libressl? ( test )"
@@ -65,7 +65,7 @@ PATCHES=(
 # Be warned, *DEPEND are version-dependant
 # These are used for both runtime and compiletime
 # MULTILIB_USEDEP only set for libraries used by the client library
-COMMON_DEPEND="net-misc/curl
+COMMON_DEPEND="net-misc/curl:=
        >=sys-apps/sed-4
        >=sys-apps/texinfo-4.7-r1
        sys-libs/ncurses:0=
@@ -82,6 +82,11 @@ COMMON_DEPEND="net-misc/curl
        server? (
                >=app-arch/lz4-0_p131:=
                cjk? ( app-text/mecab:= )
+               experimental? (
+                       dev-libs/libevent:=
+                       dev-libs/protobuf:=
+                       net-libs/libtirpc:=
+               )
                numa? ( sys-process/numactl )
        )
        systemtap? ( >=dev-util/systemtap-1.3:0= )
@@ -98,10 +103,13 @@ COMMON_DEPEND="net-misc/curl
        )
 "
 DEPEND="${COMMON_DEPEND}
-       dev-libs/protobuf
        || ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )
+       dev-libs/protobuf
        virtual/yacc
-       server? ( dev-libs/libevent )
+       server? (
+               dev-libs/libevent
+               experimental? ( net-libs/rpcsvc-proto )
+       )
        static? ( sys-libs/ncurses[static-libs] )
 "
 RDEPEND="${COMMON_DEPEND}
@@ -150,13 +158,13 @@ mysql_init_vars() {
                        export PREVIOUS_DATADIR
                fi
        else
-               if [[ ${EBUILD_PHASE} == "config" ]]; then
+               if [[ ${EBUILD_PHASE} == "config" ]] ; then
                        local new_MY_DATADIR
                        new_MY_DATADIR=`"my_print_defaults" mysqld 2>/dev/null \
                                | sed -ne '/datadir/s|^--datadir=||p' \
                                | tail -n1`
 
-                       if [[ ( -n "${new_MY_DATADIR}" ) && ( 
"${new_MY_DATADIR}" != "${MY_DATADIR}" ) ]]; then
+                       if [[ ( -n "${new_MY_DATADIR}" ) && ( 
"${new_MY_DATADIR}" != "${MY_DATADIR}" ) ]] ; then
                                ewarn "MySQL MY_DATADIR has changed"
                                ewarn "from ${MY_DATADIR}"
                                ewarn "to ${new_MY_DATADIR}"
@@ -170,6 +178,17 @@ mysql_init_vars() {
        export MY_DATADIR
 }
 
+pkg_pretend() {
+       if use numa ; then
+               local CONFIG_CHECK="~NUMA"
+
+               local WARNING_NUMA="This package expects NUMA support in kernel 
which this system does not have at the moment;"
+               WARNING_NUMA+=" Either expect runtime errors, enable NUMA 
support in kernel or rebuild the package without NUMA support"
+
+               check_extra_config
+       fi
+}
+
 pkg_setup() {
        if [[ ${MERGE_TYPE} != binary ]] ; then
                local GCC_MAJOR_SET=$(gcc-major-version)
@@ -183,6 +202,7 @@ pkg_setup() {
                        die
                fi
        fi
+
        if has test ${FEATURES} && \
                use server && ! has userpriv ${FEATURES} ; then
                        eerror "Testing with FEATURES=-userpriv is no longer 
supported by upstream. Tests MUST be run as non-root."
@@ -233,10 +253,10 @@ pkg_postinst() {
 
        # Note about configuration change
        einfo
-       elog "This version of mysql reorganizes the configuration from a single 
my.cnf"
-       elog "to several files in /etc/mysql/${PN}.d."
+       elog "This version of ${PN} reorganizes the configuration from a single 
my.cnf"
+       elog "to several files in /etc/mysql/mysql.d."
        elog "Please backup any changes you made to /etc/mysql/my.cnf"
-       elog "and add them as a new file under /etc/mysql/${PN}.d with a .cnf 
extension."
+       elog "and add them as a new file under /etc/mysql/mysql.d with a .cnf 
extension."
        elog "You may have as many files as needed and they are read 
alphabetically."
        elog "Be sure the options have the appropriate section headers, i.e. 
[mysqld]."
        einfo
@@ -251,30 +271,38 @@ src_unpack() {
 }
 
 src_prepare() {
+       cmake-utils_src_prepare
+
        if use jemalloc ; then
                echo "TARGET_LINK_LIBRARIES(mysqld jemalloc)" >> 
"${S}/sql/CMakeLists.txt" || die
        fi
-       if use tcmalloc; then
+
+       if use tcmalloc ; then
                echo "TARGET_LINK_LIBRARIES(mysqld tcmalloc)" >> 
"${S}/sql/CMakeLists.txt" || die
        fi
+
        # Remove the centos and rhel selinux policies to support mysqld_safe 
under SELinux
        if [[ -d "${S}/support-files/SELinux" ]] ; then
                echo > "${S}/support-files/SELinux/CMakeLists.txt" || die
        fi
 
+       # Remove bundled libs so we cannot accidentally use them
+       # We keep extra/lz4 directory because we use extra/lz4/xxhash.c via 
sql/CMakeLists.txt:394
+       rm -rv \
+               "${S}"/extra/protobuf \
+               "${S}"/libevent \
+               "${S}"/zlib \
+               || die
+
        if use libressl ; then
                sed -i 's/OPENSSL_MAJOR_VERSION STREQUAL 
"1"/OPENSSL_MAJOR_VERSION STREQUAL "2"/' \
                        "${S}/cmake/ssl.cmake" || die
        fi
 
        sed -i 's~ADD_SUBDIRECTORY(storage/ndb)~~' CMakeLists.txt || die
-
-       cmake-utils_src_prepare
 }
 
 src_configure(){
-       # bug 508724 mariadb cannot use ld.gold
-       tc-ld-disable-gold
        # Bug #114895, bug #110149
        filter-flags "-O" "-O[01]"
 
@@ -332,7 +360,6 @@ multilib_src_configure() {
                # The build forces this to be defined when cross-compiling. We 
pass it
                # all the time for simplicity and to make sure it is actually 
correct.
                -DSTACK_DIRECTION=$(tc-stack-grows-down && echo -1 || echo 1)
-               -DWITH_RAPID=OFF
                -DWITH_CURL=system
                -DWITH_BOOST="${S}/boost"
                -DWITH_PROTOBUF=system
@@ -355,7 +382,7 @@ multilib_src_configure() {
 
        # bfd.h is only used starting with 10.1 and can be controlled by 
NOT_FOR_DISTRIBUTION
        # systemtap only works on native ABI, bug 530132
-       if multilib_is_native_abi; then
+       if multilib_is_native_abi ; then
                mycmakeargs+=(
                        -DENABLE_DTRACE=$(usex systemtap)
                )
@@ -368,15 +395,15 @@ multilib_src_configure() {
        fi
 
        if multilib_is_native_abi && use server ; then
-
                mycmakeargs+=(
                        -DWITH_LIBEVENT=system
                        -DWITH_LZ4=system
                        -DWITH_MECAB=$(usex cjk system OFF)
                        -DWITH_NUMA=$(usex numa ON OFF)
+                       -DWITH_RAPID=$(usex experimental ON OFF)
                )
 
-               if [[ ( -n ${MYSQL_DEFAULT_CHARSET} ) && ( -n 
${MYSQL_DEFAULT_COLLATION} ) ]]; then
+               if [[ ( -n ${MYSQL_DEFAULT_CHARSET} ) && ( -n 
${MYSQL_DEFAULT_COLLATION} ) ]] ; then
                        ewarn "You are using a custom charset of 
${MYSQL_DEFAULT_CHARSET}"
                        ewarn "and a collation of ${MYSQL_DEFAULT_COLLATION}."
                        ewarn "You MUST file bugs without these variables set."
@@ -411,7 +438,7 @@ multilib_src_configure() {
                        mycmakeargs+=( -DENABLED_PROFILING=ON )
                fi
 
-               if use static; then
+               if use static ; then
                        mycmakeargs+=( -DWITH_PIC=1 )
                fi
 
@@ -424,10 +451,10 @@ multilib_src_configure() {
                        -DWITH_FEDERATED_STORAGE_ENGINE=1
                        -DWITH_HEAP_STORAGE_ENGINE=1
                        -DWITH_INNOBASE_STORAGE_ENGINE=1
+                       -DWITH_INNODB_MEMCACHED=0
                        -DWITH_MYISAMMRG_STORAGE_ENGINE=1
                        -DWITH_MYISAM_STORAGE_ENGINE=1
                        -DWITH_PARTITION_STORAGE_ENGINE=1
-                       -DWITH_INNODB_MEMCACHED=0
                )
 
        else
@@ -481,7 +508,7 @@ src_test() {
        # localhost. Also causes weird failures.
        [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be 
named localhost"
 
-       if [[ $UID -eq 0 ]]; then
+       if [[ $UID -eq 0 ]] ; then
                die "Testing with FEATURES=-userpriv is no longer supported by 
upstream. Tests MUST be run as non-root."
        fi
        has usersandbox $FEATURES && ewarn "Some tests may fail with 
FEATURES=usersandbox"
@@ -515,6 +542,15 @@ src_test() {
                        _disable_test "$t" "False positives in Gentoo"
        done
 
+       if use numa && use kernel_linux ; then
+               # bug 584880
+               if ! linux_config_exists || ! linux_chkconfig_present NUMA ; 
then
+                       for t in sys_vars.innodb_numa_interleave_basic ; do
+                               _disable_test "$t" "Test $t requires system 
with NUMA support"
+                       done
+               fi
+       fi
+
        if ! use latin1 ; then
                # The following tests will fail if DEFAULT_CHARSET
                # isn't set to latin1:
@@ -646,31 +682,21 @@ multilib_src_install_all() {
                sed -e "s!@DATADIR@!${MY_DATADIR}!g" \
                        "${FILESDIR}/${mycnf_src}" \
                        > "${TMPDIR}/my.cnf.ok" || die
+
                if use prefix ; then
                        sed -i -r -e '/^user[[:space:]]*=[[:space:]]*mysql$/d' \
                                "${TMPDIR}/my.cnf.ok" || die
                fi
+
                if use latin1 ; then
                        sed -i \
                                -e "/character-set/s|utf8|latin1|g" \
                                "${TMPDIR}/my.cnf.ok" || die
                fi
-               eprefixify "${TMPDIR}/my.cnf.ok"
-               newins "${TMPDIR}/my.cnf.ok" 50-distro-server.cnf
 
-               einfo "Including support files and sample configurations"
-               docinto "support-files"
-               local script
-               for script in \
-                       "${S}"/support-files/magic
-               do
-                       [[ -f "$script" ]] && dodoc "${script}"
-               done
+               eprefixify "${TMPDIR}/my.cnf.ok"
 
-               docinto "scripts"
-               for script in "${S}"/scripts/mysql* ; do
-                       [[ ( -f "$script" ) && ( "${script%.sh}" == "${script}" 
) ]] && dodoc "${script}"
-               done
+               newins "${TMPDIR}/my.cnf.ok" 50-distro-server.cnf
        fi
 
        #Remove mytop if perl is not selected
@@ -698,14 +724,14 @@ pkg_config() {
                die "Minimal builds do NOT include the MySQL server"
        fi
 
-       if [[ ( -n "${MY_DATADIR}" ) && ( "${MY_DATADIR}" != 
"${old_MY_DATADIR}" ) ]]; then
+       if [[ ( -n "${MY_DATADIR}" ) && ( "${MY_DATADIR}" != 
"${old_MY_DATADIR}" ) ]] ; then
                local MY_DATADIR_s="${ROOT%/}/${MY_DATADIR}"
                MY_DATADIR_s="${MY_DATADIR_s%%/}"
                local old_MY_DATADIR_s="${ROOT%/}/${old_MY_DATADIR}"
                old_MY_DATADIR_s="${old_MY_DATADIR_s%%/}"
 
-               if [[ ( -d "${old_MY_DATADIR_s}" ) && ( "${old_MY_DATADIR_s}" 
!= / ) ]]; then
-                       if [[ -d "${MY_DATADIR_s}" ]]; then
+               if [[ ( -d "${old_MY_DATADIR_s}" ) && ( "${old_MY_DATADIR_s}" 
!= / ) ]] ; then
+                       if [[ -d "${MY_DATADIR_s}" ]] ; then
                                ewarn "Both ${old_MY_DATADIR_s} and 
${MY_DATADIR_s} exist"
                                ewarn "Attempting to use ${MY_DATADIR_s} and 
preserving ${old_MY_DATADIR_s}"
                        else
@@ -715,7 +741,7 @@ pkg_config() {
                        fi
                else
                        ewarn "Previous MY_DATADIR (${old_MY_DATADIR_s}) does 
not exist"
-                       if [[ -d "${MY_DATADIR_s}" ]]; then
+                       if [[ -d "${MY_DATADIR_s}" ]] ; then
                                ewarn "Attempting to use ${MY_DATADIR_s}"
                        else
                                eerror "New MY_DATADIR (${MY_DATADIR_s}) does 
not exist"
@@ -728,14 +754,14 @@ pkg_config() {
        local pwd2="b"
        local maxtry=15
 
-       if [ -z "${MYSQL_ROOT_PASSWORD}" ]; then
+       if [[ -z "${MYSQL_ROOT_PASSWORD}" ]] ; then
                local tmp_mysqld_password_source=
 
-               for tmp_mysqld_password_source in mysql client; do
+               for tmp_mysqld_password_source in mysql client ; do
                        einfo "Trying to get password for mysql 'root' user 
from '${tmp_mysqld_password_source}' section ..."
                        MYSQL_ROOT_PASSWORD="$(_getoptval 
"${tmp_mysqld_password_source}" password)"
-                       if [[ -n "${MYSQL_ROOT_PASSWORD}" ]]; then
-                               if [[ ${MYSQL_ROOT_PASSWORD} == *$'\n'* ]]; then
+                       if [[ -n "${MYSQL_ROOT_PASSWORD}" ]] ; then
+                               if [[ ${MYSQL_ROOT_PASSWORD} == *$'\n'* ]] ; 
then
                                        ewarn "Ignoring password from 
'${tmp_mysqld_password_source}' section due to newline character (do you have 
multiple password options set?)!"
                                        MYSQL_ROOT_PASSWORD=
                                        continue
@@ -747,7 +773,7 @@ pkg_config() {
                done
 
                # Sometimes --show is required to display passwords in some 
implementations of my_print_defaults
-               if [[ "${MYSQL_ROOT_PASSWORD}" == '*****' ]]; then
+               if [[ "${MYSQL_ROOT_PASSWORD}" == '*****' ]] ; then
                        MYSQL_ROOT_PASSWORD="$(_getoptval 
"${tmp_mysqld_password_source}" password --show)"
                fi
 
@@ -760,15 +786,17 @@ pkg_config() {
        MYSQL_LOG_BIN="$(_getoptval mysqld log-bin)"
        MYSQL_LOG_BIN=${MYSQL_LOG_BIN%/*}
 
-       if [[ ! -d "${EROOT%/}/$MYSQL_TMPDIR" ]]; then
+       if [[ ! -d "${EROOT%/}/$MYSQL_TMPDIR" ]] ; then
                einfo "Creating MySQL tmpdir $MYSQL_TMPDIR"
                install -d -m 770 -o mysql -g mysql "${EROOT%/}/$MYSQL_TMPDIR"
        fi
-       if [[ ! -d "${EROOT%/}/$MYSQL_LOG_BIN" ]]; then
+
+       if [[ ! -d "${EROOT%/}/$MYSQL_LOG_BIN" ]] ; then
                einfo "Creating MySQL log-bin directory $MYSQL_LOG_BIN"
                install -d -m 770 -o mysql -g mysql "${EROOT%/}/$MYSQL_LOG_BIN"
        fi
-       if [[ ! -d "${EROOT%/}/$MYSQL_RELAY_LOG" ]]; then
+
+       if [[ ! -d "${EROOT%/}/$MYSQL_RELAY_LOG" ]] ; then
                einfo "Creating MySQL relay-log directory $MYSQL_RELAY_LOG"
                install -d -m 770 -o mysql -g mysql 
"${EROOT%/}/$MYSQL_RELAY_LOG"
        fi
@@ -784,7 +812,7 @@ pkg_config() {
        # localhost. Also causes weird failures.
        [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be 
named localhost"
 
-       if [ -z "${MYSQL_ROOT_PASSWORD}" ]; then
+       if [[ -z "${MYSQL_ROOT_PASSWORD}" ]] ; then
 
                einfo "Please provide a password for the mysql 'root' user now"
                einfo "or through the ${HOME}/.my.cnf file."
@@ -823,11 +851,11 @@ pkg_config() {
 
        # Now that /var/run is a tmpfs mount point, we need to ensure it exists 
before using it
        PID_DIR="${EROOT%/}/var/run/mysqld"
-       if [[ ! -d "${PID_DIR}" ]]; then
+       if [[ ! -d "${PID_DIR}" ]] ; then
                install -d -m 755 -o mysql -g mysql "${PID_DIR}" || die "Could 
not create pid directory"
        fi
 
-       if [[ ! -d "${MY_DATADIR}" ]]; then
+       if [[ ! -d "${MY_DATADIR}" ]] ; then
                install -d -m 750 -o mysql -g mysql "${MY_DATADIR}" || die 
"Could not create data directory"
        fi
 
@@ -846,7 +874,7 @@ pkg_config() {
        einfo "Command: ${cmd[*]}"
        su -s /bin/sh -c "${cmd[*]}" mysql \
                >"${TMPDIR%/}"/mysql_install_db.log 2>&1
-       if [ $? -ne 0 ]; then
+       if [[ $? -ne 0 ]] ; then
                grep -B5 -A999 -i "ERROR" "${TMPDIR%/}"/mysql_install_db.log 
1>&2
                die "Failed to initialize mysqld. Please review 
${EPREFIX%/}/var/log/mysql/mysqld.err AND ${TMPDIR%/}/mysql_install_db.log"
        fi
@@ -881,7 +909,7 @@ pkg_config() {
        done
        eend $rc
 
-       if ! [[ -S "${socket}" ]]; then
+       if ! [[ -S "${socket}" ]] ; then
                die "Completely failed to start up mysqld with: ${mysqld}"
        fi
 

Reply via email to